# TinyLoRa Sensor Node

## Overview

A Minimalistic Sensor Node for use on TheThingsNetwork.

![Case Front](https://www.seiichiro0185.org/git/IOT/tinylora/raw/branch/master/case_front.jpg)
![Case Side](https://www.seiichiro0185.org/git/IOT/tinylora/raw/branch/master/case_side.jpg)
![Case Back](https://www.seiichiro0185.org/git/IOT/tinylora/raw/branch/master/case_back.jpg)
![PCB Front](https://www.seiichiro0185.org/git/IOT/tinylora/raw/branch/master/pcb_front.jpg)
![PCB Back](https://www.seiichiro0185.org/git/IOT/tinylora/raw/branch/master/pcb_back.jpg)

### Features

* Small Size, only 47x36x15mm populated
* Based on widely available Atmel ATTiny84 MCU and RFM95W LoRa-module
* 6 free GPIO-Pins from the ATTiny + Power to connect sensors on a 2.54mm pitch header
* Optional on-board LED for status signaling
* Powered by a single CR2032 lithium battery
* Long battery runtime using  the ATTinys deep sleep mode
* Integrated 6-Pin programming header
* Small component count

## Subdirectories In this Repository

* **Case:** A 3D-Printable Case, OpenSCAD and STL Files
* **Firmware:** Example Firmware, platformio project
* **PCB_SMD:** PCB for SMD components, KiCAD project
* **PCB_THT:** PCB with through-hole components, KiCAD project, Currently not all Features of the SMD Version

## Pinouts

### PRG1 Starting from Marked Top Left Pin

|          |          |
|----------|----------|
| MISO     | 3V3      |
| SCK      | MOSI     |
| RST      | GND      |


### J1 Starting from Marked Pin 1

| Number | Function | Note                           |
|--------|----------|--------------------------------|
|      1 | 3V3      |                                |
|      2 | GND      |                                |
|      3 | PA0      | i2C SCL in Example Firmware    |
|      4 | PA1      | i2C SDA in Example Firmware    |
|      5 | PA2      |                                |
|      6 | PA3      |                                |
|      7 | PA7      | Connected to LED-Pad D1 via R1 |
|      8 | PB2      |                                |